summaryrefslogtreecommitdiffstats
path: root/assets/bin
diff options
context:
space:
mode:
authormakefu <github@syntax-fehler.de>2011-12-24 15:07:27 +0100
committermakefu <github@syntax-fehler.de>2011-12-24 15:07:27 +0100
commit6e49a121fd3369d0724c5db80a7807e630a261f4 (patch)
treed00c28bbb66ee83b18bc7679f3918f161c699338 /assets/bin
parentfffa22e6af01a8f89d288f488625eba732ca662b (diff)
//assets:asq->fast, asq is now the right name for the truth-querying tool
Diffstat (limited to 'assets/bin')
-rwxr-xr-xassets/bin/asq22
-rwxr-xr-xassets/bin/fast20
2 files changed, 22 insertions, 20 deletions
diff --git a/assets/bin/asq b/assets/bin/asq
index 41725d0b..0204e05b 100755
--- a/assets/bin/asq
+++ b/assets/bin/asq
@@ -1,20 +1,2 @@
-#!/bin/bash
-set -xeuf
-cd $(dirname $(readlink -f $0))
-
-if [ "$1" == "c" ];then
- ./ass create "$2" && export ASS_CREATED="$2"
- for i in `env | grep -v '^ASS_CREATED=' | grep "^ASS" | cut -d '=' -f 1`;do
- e=`echo $i | cut -d '_' -f 2 | tr '[A-Z]' '[a-z]'`
- eval con=\$$i
- $0 s "$e" "$con"
- done
-else if [ "$1" == "s" ]
-then
- ./ass set "${ASS_CREATED}" "${2}" "${3}"
- else
- echo "you are made of stupid!"
- cat $0
- exit 23
- fi
-fi
+#!/bin/something
+# placeholder to asq the truth for facts
diff --git a/assets/bin/fast b/assets/bin/fast
new file mode 100755
index 00000000..41725d0b
--- /dev/null
+++ b/assets/bin/fast
@@ -0,0 +1,20 @@
+#!/bin/bash
+set -xeuf
+cd $(dirname $(readlink -f $0))
+
+if [ "$1" == "c" ];then
+ ./ass create "$2" && export ASS_CREATED="$2"
+ for i in `env | grep -v '^ASS_CREATED=' | grep "^ASS" | cut -d '=' -f 1`;do
+ e=`echo $i | cut -d '_' -f 2 | tr '[A-Z]' '[a-z]'`
+ eval con=\$$i
+ $0 s "$e" "$con"
+ done
+else if [ "$1" == "s" ]
+then
+ ./ass set "${ASS_CREATED}" "${2}" "${3}"
+ else
+ echo "you are made of stupid!"
+ cat $0
+ exit 23
+ fi
+fi